/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.commsen.sample.portlet.chatrooms.model;

import com.liferay.portal.kernel.annotation.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Message service. Represents a row in the &quot;Chatrooms_Message&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.commsen.sample.portlet.chatrooms.model.impl.MessageModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.commsen.sample.portlet.chatrooms.model.impl.MessageImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a message model instance should use the {@link Message} interface instead.
 * </p>
 *
 * @author Milen Dyankov
 * @see Message
 * @see com.commsen.sample.portlet.chatrooms.model.impl.MessageImpl
 * @see com.commsen.sample.portlet.chatrooms.model.impl.MessageModelImpl
 * @generated
 */
public interface MessageModel extends BaseModel<Message> {
	/**
	 * Gets the primary key of this message.
	 *
	 * @return the primary key of this message
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this message
	 *
	 * @param pk the primary key of this message
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the id of this message.
	 *
	 * @return the id of this message
	 */
	public long getId();

	/**
	 * Sets the id of this message.
	 *
	 * @param id the id of this message
	 */
	public void setId(long id);

	/**
	 * Gets the time of this message.
	 *
	 * @return the time of this message
	 */
	public Date getTime();

	/**
	 * Sets the time of this message.
	 *
	 * @param time the time of this message
	 */
	public void setTime(Date time);

	/**
	 * Gets the chatroom of this message.
	 *
	 * @return the chatroom of this message
	 */
	@AutoEscape
	public String getChatroom();

	/**
	 * Sets the chatroom of this message.
	 *
	 * @param chatroom the chatroom of this message
	 */
	public void setChatroom(String chatroom);

	/**
	 * Gets the user of this message.
	 *
	 * @return the user of this message
	 */
	@AutoEscape
	public String getUser();

	/**
	 * Sets the user of this message.
	 *
	 * @param user the user of this message
	 */
	public void setUser(String user);

	/**
	 * Gets the message of this message.
	 *
	 * @return the message of this message
	 */
	@AutoEscape
	public String getMessage();

	/**
	 * Sets the message of this message.
	 *
	 * @param message the message of this message
	 */
	public void setMessage(String message);

	/**
	 * Gets a copy of this message as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public Message toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(Message message);

	public int hashCode();

	public String toString();

	public String toXmlString();
}