/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.commsen.sample.portlet.chatrooms.model.impl;

import com.commsen.sample.portlet.chatrooms.model.Message;
import com.commsen.sample.portlet.chatrooms.model.MessageModel;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.util.DateUtil;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.sql.Types;

import java.util.Date;

/**
 * The base model implementation for the Message service. Represents a row in the &quot;Chatrooms_Message&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This implementation and its corresponding interface {@link com.commsen.sample.portlet.chatrooms.model.MessageModel} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link MessageImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this class directly. All methods that expect a message model instance should use the {@link com.commsen.sample.portlet.chatrooms.model.Message} interface instead.
 * </p>
 *
 * @author Milen Dyankov
 * @see MessageImpl
 * @see com.commsen.sample.portlet.chatrooms.model.Message
 * @see com.commsen.sample.portlet.chatrooms.model.MessageModel
 * @generated
 */
public class MessageModelImpl extends BaseModelImpl<Message>
	implements MessageModel {
	public static final String TABLE_NAME = "Chatrooms_Message";
	public static final Object[][] TABLE_COLUMNS = {
			{ "id_", new Integer(Types.BIGINT) },
			{ "time", new Integer(Types.TIMESTAMP) },
			{ "chatroom", new Integer(Types.VARCHAR) },
			{ "user", new Integer(Types.VARCHAR) },
			{ "message", new Integer(Types.VARCHAR) }
		};
	public static final String TABLE_SQL_CREATE = "create table Chatrooms_Message (id_ LONG not null primary key,time DATE null,chatroom VARCHAR(75) null,user VARCHAR(75) null,message VARCHAR(1000) null)";
	public static final String TABLE_SQL_DROP = "drop table Chatrooms_Message";
	public static final String ORDER_BY_JPQL = " ORDER BY message.time ASC";
	public static final String ORDER_BY_SQL = " ORDER BY Chatrooms_Message.time ASC";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.entity.cache.enabled.com.commsen.sample.portlet.chatrooms.model.Message"),
			true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.finder.cache.enabled.com.commsen.sample.portlet.chatrooms.model.Message"),
			true);
	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
				"lock.expiration.time.com.commsen.sample.portlet.chatrooms.model.Message"));

	public MessageModelImpl() {
	}

	public long getPrimaryKey() {
		return _id;
	}

	public void setPrimaryKey(long pk) {
		setId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_id);
	}

	public long getId() {
		return _id;
	}

	public void setId(long id) {
		_id = id;
	}

	public Date getTime() {
		return _time;
	}

	public void setTime(Date time) {
		_time = time;
	}

	public String getChatroom() {
		if (_chatroom == null) {
			return StringPool.BLANK;
		}
		else {
			return _chatroom;
		}
	}

	public void setChatroom(String chatroom) {
		_chatroom = chatroom;
	}

	public String getUser() {
		if (_user == null) {
			return StringPool.BLANK;
		}
		else {
			return _user;
		}
	}

	public void setUser(String user) {
		_user = user;
	}

	public String getMessage() {
		if (_message == null) {
			return StringPool.BLANK;
		}
		else {
			return _message;
		}
	}

	public void setMessage(String message) {
		_message = message;
	}

	public Message toEscapedModel() {
		if (isEscapedModel()) {
			return (Message)this;
		}
		else {
			return (Message)Proxy.newProxyInstance(Message.class.getClassLoader(),
				new Class[] { Message.class }, new AutoEscapeBeanHandler(this));
		}
	}

	public ExpandoBridge getExpandoBridge() {
		if (_expandoBridge == null) {
			_expandoBridge = ExpandoBridgeFactoryUtil.getExpandoBridge(0,
					Message.class.getName(), getPrimaryKey());
		}

		return _expandoBridge;
	}

	public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
		getExpandoBridge().setAttributes(serviceContext);
	}

	public Object clone() {
		MessageImpl clone = new MessageImpl();

		clone.setId(getId());
		clone.setTime(getTime());
		clone.setChatroom(getChatroom());
		clone.setUser(getUser());
		clone.setMessage(getMessage());

		return clone;
	}

	public int compareTo(Message message) {
		int value = 0;

		value = DateUtil.compareTo(getTime(), message.getTime());

		if (value != 0) {
			return value;
		}

		return 0;
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		Message message = null;

		try {
			message = (Message)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = message.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBundler sb = new StringBundler(11);

		sb.append("{id=");
		sb.append(getId());
		sb.append(", time=");
		sb.append(getTime());
		sb.append(", chatroom=");
		sb.append(getChatroom());
		sb.append(", user=");
		sb.append(getUser());
		sb.append(", message=");
		sb.append(getMessage());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBundler sb = new StringBundler(19);

		sb.append("<model><model-name>");
		sb.append("com.commsen.sample.portlet.chatrooms.model.Message");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>id</column-name><column-value><![CDATA[");
		sb.append(getId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>time</column-name><column-value><![CDATA[");
		sb.append(getTime());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>chatroom</column-name><column-value><![CDATA[");
		sb.append(getChatroom());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>user</column-name><column-value><![CDATA[");
		sb.append(getUser());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>message</column-name><column-value><![CDATA[");
		sb.append(getMessage());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _id;
	private Date _time;
	private String _chatroom;
	private String _user;
	private String _message;
	private transient ExpandoBridge _expandoBridge;
}